Foreman - Bug #29012

Clone of Organization admin role does not work as suggested by its filters.
02/14/2020 09:05 AM - Ondrej Ezr

Status: Rejected

Priority: Normal

Assignee:

Category: Users, Roles and Permissions

Target version:

Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1761404 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1761404

Description of problem:

User is not able to create or view locations when assigned a cloned role for "Organization Admin" even when its filters
have "create location" field added by default.

Version-Release number of selected component (if applicable):

6.4.0

How reproducible:
100%
Steps to Reproduce:

Clone the "Organization Admin" Role shipped by satellite and assign it to a user.

Filters in the role for "Location" says that user should be able to create and view the locations.

User is assigned to the appropriate location.

Actual results:

User not able to see or create a location
Expected results:

User should be able to create a new location.
Additional info:

N/A
https://bugzilla.redhat.com/show_bug.cgi?id=1761404

History

#1 - 02/14/2020 10:29 AM - Ondrej Ezr
- Category set to Users, Roles and Permissions
- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 03/12/2020 01:17 AM - Ondfej Ezr

- Status changed from New to Rejected

This problem appears only if we assign the newly clonned role to some locations. The user is then able to manage only those locations and thus can't
create new.

This seems to be a correct behavior ATM, it's just bad UX. Thus closing.

05/12/2024 22


http://www.tcpdf.org

